# Rev AI Forced Alignment

Rev AI Forced Alignment

Version: v1

## Servers

Rev AI API
```
https://api.rev.ai
```

## Security

### AccessToken

Type: http
Scheme: bearer

## Download OpenAPI description

[Rev AI Forced Alignment](https://docs.rev.ai/_bundle/api/alignment/reference.yaml)

## Jobs

### Submit Forced Alignment Job

 - [POST /alignment/v1/jobs](https://docs.rev.ai/api/alignment/reference/jobs/submitalignmentjob.md): Starts an asynchronous job to obtain precise word timings for an audio file and text transcript. Audio can be specified by including a public url to the media via the source_config. A transcript can be specified by including a public url to the text file via the source_transcript_config or by submitting the text directly in the transcript_text field. Transcripts should contain only the words of a transcript (punctuation is omitted) separated by spaces.

### Get List of Forced Alignment Jobs

 - [GET /alignment/v1/jobs](https://docs.rev.ai/api/alignment/reference/jobs/getlistofalignmentjobs.md): Gets a list of alignment jobs submitted within the last 30 days in reverse chronological order up to the provided limit number of jobs per call. Note: Jobs older than 30 days will not be listed. Pagination is supported via passing the last job id from a previous call into starting_after.

### Get Forced Alignment Job By Id

 - [GET /alignment/v1/jobs/{id}](https://docs.rev.ai/api/alignment/reference/jobs/getalignmentjobbyid.md): Returns information about a forced alignment job.

### Delete Forced Alignment Job by Id

 - [DELETE /alignment/v1/jobs/{id}](https://docs.rev.ai/api/alignment/reference/jobs/deletealignmentjobbyid.md): Deletes a forced alignment job. All data related to the job will be permanently deleted. A job can only be deleted once it's completed (either with success or failure).

### Get Forced Alignment Transcript By Id

 - [GET /alignment/v1/jobs/{id}/transcript](https://docs.rev.ai/api/alignment/reference/jobs/getalignmenttranscriptbyid.md): Returns the results for a completed forced alignment job.

